Subject: bug#39121: 27.0.60; occur: Add bindings for next-error-no-select

From: Mattias Engdegård <[email-masked]>
Date: Sun, 25 Jul 2021 12:06:32 +0200

25 juli 2021 kl. 08.41 skrev Lars Ingebrigtsen <[email-masked]>:

> Great; go ahead and push.

Thank you, done.

I also noticed that occur-edit-mode manhandled markers on the edited line so that even changing a single character outside a match would destroy all occur-target highlighting on that line. I pushed a fix for that, too.

That bug has apparently been with us from the beginning of occur-edit-mode but not noticed until now.

> (And I see that `occur-highlight-regexp' was introduced after emacs-27,
> so it's indeed OK to just remove it like your patch does.)

Yes, and I have tested the code against an external package that creates its own occur-mode buffers and it works as expected.